These are chat archives for reactioncommerce/reaction

25th
Sep 2015
Goutham Veeramachaneni
@gouthamve
Sep 25 2015 15:42
I just realised that we dont have a dashboard for managing products in sort of a list view. Am I just not able to find it, or there is no such dashboard yet?
Mike Murray
@mikemurray
Sep 25 2015 15:43
not yet, but its something we'll be adding
Goutham Veeramachaneni
@gouthamve
Sep 25 2015 15:44
Any timeline?
Mike Murray
@mikemurray
Sep 25 2015 15:45
Can't say specifically. But soon hopefully. Gearing up for the beta next week
Aaron Judd
@aaronjudd
Sep 25 2015 15:45
I think before we do that, I’d like to refactor the product page to use the new workflows, so that products have a publishing workflow. The list view will tie into that
Mike Murray
@mikemurray
Sep 25 2015 15:45
add a ticket to github
Aaron Judd
@aaronjudd
Sep 25 2015 15:45
:thumbsup:
Goutham Veeramachaneni
@gouthamve
Sep 25 2015 17:32
Did you guys think about some linting check for checking the code style? I found it useful in some of my other projects.
Mike Murray
@mikemurray
Sep 25 2015 17:43
at the moment just using a linter in atom.
Mike Murray
@mikemurray
Sep 25 2015 17:51
https://github.com/eslint/eslint might be a good idea, so we can make our own rules
Goutham Veeramachaneni
@gouthamve
Sep 25 2015 18:24
Mike Murray
@mikemurray
Sep 25 2015 18:25
:thumbsup:
DJ Pelland
@dna113p
Sep 25 2015 18:47
@mikemurray @Gouthamve another cool idea for defining coding styles editorconfig.org
Mike Murray
@mikemurray
Sep 25 2015 19:54
@dna113p we have editor confirms now in most if not all of our packages.
Aaron Judd
@aaronjudd
Sep 25 2015 19:57
funny - I added a .eslintrc to my local branch I am working on yesterday (to add ES6 linting). So that will be in dev branch soon.
and yes, most of the packages already have .editorconfig
Bryan Wu
@cooloney
Sep 25 2015 23:43
looks like the development branch of reaction is broken after updating to meteor 1.2
$ meteor
[[[[[ ~/Work/Microduino/src ]]]]]             

=> Started proxy.                             
=> Started MongoDB.                           
=> Errors prevented startup:                  

   While selecting package versions:
   error: Conflict: Constraint less@1.0.14 is not satisfied by less 2.5.0_2.
   Constraints on package "less":
   * less@=2.5.0_2 <- top level
   * less@2.5.0_1 <- reactioncommerce:core 0.8.0
   * less@2.5.0_1 <- reactioncommerce:bootstrap-theme 1.6.0
   * less@1.0.14 <- reactioncommerce:reaction-accounts 1.0.1
   * less@2.5.0_1 <- reactioncommerce:reaction-shipping 0.6.0
   * less@1.0.11 <- reactioncommerce:reaction-analytics 1.0.4
   * less@2.5.0_1 <- reactioncommerce:reaction-social 0.4.0
   * less@2.5.0_1 <- reactioncommerce:reaction-paypal 1.1.0
   * less@2.5.0_1 <- reactioncommerce:reaction-stripe 2.1.0

   Conflict: Constraint less@1.0.11 is not satisfied by less 2.5.0_2.
   Constraints on package "less":
   * less@=2.5.0_2 <- top level
   * less@2.5.0_1 <- reactioncommerce:core 0.8.0
   * less@2.5.0_1 <- reactioncommerce:bootstrap-theme 1.6.0
   * less@1.0.14 <- reactioncommerce:reaction-accounts 1.0.1
   * less@2.5.0_1 <- reactioncommerce:reaction-shipping 0.6.0
   * less@1.0.11 <- reactioncommerce:reaction-analytics 1.0.4
   * less@2.5.0_1 <- reactioncommerce:reaction-social 0.4.0
   * less@2.5.0_1 <- reactioncommerce:reaction-paypal 1.1.0
   * less@2.5.0_1 <- reactioncommerce:reaction-stripe 2.1.0

=> Your application has errors. Waiting for file change.
^C